import request from '/@/utils/request';

/**
 * （不建议写成 request.post(xxx)，因为这样 post 时，无法 params 与 data 同时传参）
 */
export function entApi() {
    return {
        searchApi: (params?: object) => {//查询企业接口
            return request({
                url: '/chart/corp/v1',
                method: 'get',
                params,
            });
        },
        typeApi: (params?: object) => {//区县接口
            return request({
                url: '/system/dictItem/v1/type/sys_area_code',
                method: 'GET',
                params,
            });
        },
        typesApi: (params?: object) => {//区县接口
            return request({
                url: '/system/dictItem/v1/type/sys_area_code_ew',
                method: 'GET',
                params,
            });
        },
        qualificationApi: (params?: object) => {//扇形图接口
            return request({
                url: '/chart/corp/v1/qualification',
                method: 'GET',
                params,
            });
        },
        columnApi: (params?: object) => {//柱状图接口
            return request({
                url: '/chart/corp/v1/total',
                method: 'GET',
                params,
            });
        },
        //详情页面接口
        detailsApi: (params?: object) => {//扇形图接口
            return request({
                url: '/chart/corp/v1/' + params,
                method: 'GET',
            });
        },
        // 项目详情接口
        deltaentdetail: (params?: string) => {
            return request({
                url: '/chart/project/v1/' + params,
                method: 'GET',
            });
        },

        //详情页面项目列表接口
        detailsListApi: (params?: object) => {//扇形图接口
            return request({
                url: '/chart/corp/v1/projectList',
                method: 'GET',
                params,
            });
        },
    };

}
